summaryrefslogtreecommitdiff
path: root/scripts/not needed/mpdup
diff options
context:
space:
mode:
authorSaumit Dinesan <79687674+Saumit-D@users.noreply.github.com>2021-11-10 16:01:17 +0530
committerGitHub <noreply@github.com>2021-11-10 16:01:17 +0530
commitaf8cda7385fcd761ceff5fef09401377ed2fbb86 (patch)
tree8d1831bea5328b0ac7e0ec7beceb521068807d93 /scripts/not needed/mpdup
parent96fd32a61a08475d686fa5f8187566ccff870da0 (diff)
Add files via upload
Diffstat (limited to 'scripts/not needed/mpdup')
-rw-r--r--scripts/not needed/mpdup8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/not needed/mpdup b/scripts/not needed/mpdup
new file mode 100644
index 0000000..af81a7d
--- /dev/null
+++ b/scripts/not needed/mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -45 "$(pidof "${STATUSBAR:-dwmblocks}")" || break
+done